;******************************** CONSTANTS ************************************
MAX_INTLIST_COUNT equ 10


;Used to specify where a property was found.
PO_STATE equ 0		; Property was found in the state section.
PO_PART equ 1		; Property was found in the part section.
PO_CLASS equ 2		; Property was found in the class section.
PO_GLOBAL equ 3		; Property was found in the list of global variables.
PO_NOTFOUND equ 4	; Property was not found.

;Identifies the size of the visual style part to retrieve.
TS_MIN equ 0		; Receives the minimum size of a visual style part.
TS_TRUE equ 1		; Receives the size of the visual style part that will best fit the available space.
TS_DRAW equ 2		; Receives the size that the theme manager uses to draw a part.


DTT_GRAYED equ 01h


ETDT_DISABLE equ 00000001h
ETDT_ENABLE equ 00000002h
ETDT_USETABTEXTURE equ 00000004h
ETDT_ENABLETAB	equ (ETDT_ENABLE OR ETDT_USETABTEXTURE)


STAP_ALLOW_NONCLIENT equ 1 SHL 0
STAP_ALLOW_CONTROLS equ 1 SHL 1
STAP_ALLOW_WEBCONTENT equ 1 SHL 2


SZ_THDOCPROP_DISPLAYNAME   textequ <"DisplayName",0>
SZ_THDOCPROP_CANONICALNAME textequ <"ThemeName",0>
SZ_THDOCPROP_TOOLTIP       textequ <"ToolTip",0>
SZ_THDOCPROP_AUTHOR        textequ <"author",0>


; dwOptions parameter of the HitTestThemeBackground function
HTTB_BACKGROUNDSEG equ 0000h
HTTB_FIXEDBORDER equ 0002h
HTTB_CAPTION equ 0004h
HTTB_RESIZINGBORDER_LEFT equ 0010h
HTTB_RESIZINGBORDER_TOP equ 0020h
HTTB_RESIZINGBORDER_RIGHT equ 0040h
HTTB_RESIZINGBORDER_BOTTOM equ 0080h
HTTB_RESIZINGBORDER equ HTTB_RESIZINGBORDER_LEFT OR HTTB_RESIZINGBORDER_TOP OR HTTB_RESIZINGBORDER_RIGHT OR HTTB_RESIZINGBORDER_BOTTOM
HTTB_SIZINGTEMPLATE equ 0100h
HTTB_SYSTEMSIZINGMARGINS equ 0200h



;********************************** Typedefs *********************************
HTHEME typedef DWORD		; Handle to theme
PROPERTYORIGIN typedef DWORD
THEME_SIZE typedef DWORD
TM_PROPS typedef DWORD
PDTBGOPTS typedef DWORD
PINTLIST typedef DWORD
PMARGINS typedef DWORD

;********************************* Structures *********************************
_INTLIST STRUCT
	iValueCount	DWORD	?
	iValues		DWORD 	MAX_INTLIST_COUNT DUP (?)
_INTLIST ENDS

INTLIST equ <_INTLIST>


_MARGINS STRUCT
	cxLeftWidth	DWORD	?
	cxRightWidth	DWORD 	?
	cyTopHeight	DWORD	?
	cyBottomHeight	DWORD 	?
_MARGINS ENDS

MARGINS equ <_MARGINS>


_DTBGOPTS STRUCT
	dwSize		DWORD 	?
	dwFlags		DWORD	?
	rcClip		RECT	<?>
_DTBGOPTS ENDS

DTBGOPTS equ <_DTBGOPTS>